Taslak Tel

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Wire and the translation is 36% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Line.svg Line
Next: Fillet Draft Fillet.svg Arrow-right.svg

Draft Wire.svg Tel

Menü konumu
Taslak → Tel
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
W I
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Çizgi, BSpline


Açıklama

Tel aracı bir çoklu çizgi (birkaç çizgi parçasının bir sırası) oluşturur. Araç çubuğu 'nda ayarlanan Çizgi stilini kullanır. Tel aracı, tam Çizgi aracı gibi davranır, ancak ikiden fazla nokta girmenize izin verir.

BSpline aracı Tel aracı gibi davranır, ancak bölümlerinin her biri düz bir çizgi yerine eğridir. Birini diğerine dönüştürmek için Telden BSpline çevir kullanın.

Draft Polyline example.jpg

Tel birçok noktayla tanımlanır


Nasıl kullanılır

  1. Draft Wire.svg Tel düğmesine basın veya W ardından I tuşları.
  2. 3D görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg add point düğmesine basın.
  3. 3D görünümünde ek noktalara tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  4. İşlemi tamamlamak için Esc veya Kapat tuşuna basınız.

Tel, ağaç görünümündeki öğeye çift tıklayarak veya Draft Edit.svg Düzenle düğmesine basılarak düzenlenebilir. Ardından noktaları yeni bir konuma taşıyabilir veya Draft AddPoint.svg Nokta ekle veya Draft DelPoint.svg öğesini tıklayabilirsiniz. Nokta kaldır ve ardından noktaları eklemek veya kaldırmak için teli tıklatın.

Sigorta tek satırları

Draft Wire.svg Tel düğmesine basarken birkaç bağlı Çizgi seçildiyse, bunlar bir kabloya dönüştürülür ve komut çıkacak.0.17 sürümünde kullanılabilir

Not: Çizgilerin bitiş noktaları tam olarak dokunmalı yoksa birleşmezler. Gerekirse, çizgilerin başlangıç ve bitiş noktalarının Taslak Koordinatları öğesini manuel olarak ayarlayın veya düğümlerin çakışması için Yakalama ile Bitiş Noktası modunu kullanın.

Seçenekler

  • Teli bitirmek için A veya Draft FinishLine.png Bitir düğmesine basarak açık bırakın.
  • Teli kapatmak için O veya Draft CloseLine.png Kapat düğmesine basın, yani bir parça eklenecektir. Son noktadan ilkine bir yüz oluşturmak. Bir yüz oluşturmak için en az üç nokta gerekir.
  • Önceden yerleştirilmiş çizgi parçalarını kaldırmak için W veya Draft Wipe.svg Silme düğmesine basın, ancak teli düzenlemeye devam edin
  • Geçerli çalışma düzlemini en son yönde ayarlamak için U veya Draft SelectPlane.svg Çalışma düzlemi ayarla düğmesine basın puan.
  • Verilen eksendeki bir sonraki noktayı sınırlamak için bir noktadan sonra X, Y veya Z tuşlarına basın.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Göreceli moduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, bir sonraki noktanın koordinatları sonuncusuna göre değişir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, Tel aracı teli bitirdikten sonra yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • Dolu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolu modu açıksa, kapalı bir tel dolgulu bir yüz oluşturur (VERİMake Face True); değilse, kapalı tel bir yüz oluşturmaz (VERİMake Face False).
Not: uygun bir yüz oluşturmayacağından telin kendisiyle kesiştiği takdirde doldurulmaması gerekir. Kablo dolu ancak şekli görünmüyorsa, teli görmek için VERİMake Face 'i False' e manuel olarak ayarlayın.
  • Yakalama noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • Bir sonraki noktanızı yatay veya dikey olarak son noktaya göre Kısıtlama çizerken Shift tuşunu basılı tutun.
  • Son noktayı geri almak için Ctrl Z tuşuna basınız veya Draft UndoLine.png Geri al düğmesine basınız. .
  • Geçerli komutu iptal etmek için Esc veya Kapat tuşuna basınız; Yerleştirilen çizgi bölümleri kalacaktır.

== Özellikleri == Bir Tel nesnesi Çizgi ​​'deki tüm özellikleri paylaşır, ancak çoğu özellik yalnızca bir Tel için anlamlıdır.

Veri

  • VERİStart: kablodaki ilk noktayı belirtir.
  • VERİEnd: kablo kapalıysa başlangıç ​​noktasını saymaz, kablodaki son noktayı belirtir.
  • VERİClosed: kablonun kapalı olup olmadığını belirtir. Kablo başlangıçta açıksa, bu değer False; True olarak ayarlamak, teli kapatmak için bir çizgi kesimi çizer. Kablo başlangıçta kapalıysa, bu değer True; False olarak ayarlamak, son satır parçasını kaldıracak ve teli açacaktır.
  • VERİChamfer Size: telin köşelerinde oluşturulan olukların (düz segmentler) boyutunu belirtir.
  • VERİFillet Radius: telin köşelerinde oluşturulan filetoların (yay parçaları) yarıçapını belirtir.
  • VERİMake Face: Teli bir yüz yapıp yapmamayı belirtir. True ise bir yüz yaratılır, aksi takdirde sadece kenarlar nesnenin bir parçası olarak kabul edilir. Bu özellik yalnızca VERİClosed True ise çalışır.
Not:, tel uygun bir yüz oluşturmayacağından kendisiyle kesiştiğinde VERİMake Face ayarını True olarak ayarlamayın.
  • VERİSubdivisions: telin her bir bölümündeki iç düğümlerin sayısını belirtir. 0.16 sürümünde kullanılabilir
  • VERİLength: (salt okunur) tüm kablonun uzunluğunu belirtir.

Görünüm

  • GÖRÜNÜMEnd Arrow: True ise kablonun son noktasında bir sembol gösterecektir, böylece bir açıklama satırı olarak kullanılabilir.
  • GÖRÜNÜMArrow Size: telin sonunda görüntülenen sembolün boyutunu belirtir.
  • GÖRÜNÜMArrow Type: telin sonunda görüntülenen, "Nokta", "Daire", "Ok" veya "Tik" olabilen sembol tipini belirtir.
  • GÖRÜNÜMPattern: kapalı telin yüzünü doldurmak için bir Desen belirtir. Bu özellik yalnızca VERİMake Face True ise ve GÖRÜNÜMDisplay Mode "Düz Çizgiler" ise çalışır.
  • GÖRÜNÜMPattern Size: Desen 'in boyutunu belirtir.

Betik

Tel aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Wire = makeWire(pointslist, closed=False, placement=None, face=None, support=None)
Wire = makeWire(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Belirtilen nokta listesiyle Wire nesnesini yaratır, pointslist.
    • Listedeki her nokta, FreeCAD.Vector ile tanımlanır ve birim milimetre cinsinden tanımlanır.
    • Alternatif olarak, giriş, noktaların çıkarıldığı bir Part.Wire olabilir.
  • Template:İncode True ise veya ilk ve son noktalar aynıysa, tel kapanır.
  • Bir placement verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur.
  • face True ise ve tel kapalıysa, tel bir yüz yapacaktır, yani dolgulu görünecektir.

Örnek:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

Wire1 = Draft.makeWire([p1, p2, p3], closed=True)
Wire2 = Draft.makeWire([p1, 2*p3, 1.3*p2], closed=True)
Wire3 = Draft.makeWire([1.3*p3, p1, -1.7*p2], closed=True)